(***********************************************************************)
(*                                                                     *)
(*                               TAToo                                 *)
(*                                                                     *)
(*                     Kim Nguyen, LRI UMR8623                         *)
(*                   Université Paris-Sud & CNRS                       *)
(*                                                                     *)
(*  Copyright 2010-2012 Université Paris-Sud and Centre National de la *)
(*  Recherche Scientifique. All rights reserved.  This file is         *)
(*  distributed under the terms of the GNU Lesser General Public       *)
(*  License, with the special exception on linking described in file   *)
(*  ../LICENSE.                                                        *)
(*                                                                     *)
(***********************************************************************)

(** Implementation of hashconsed finite or cofinite sets.
*)

include module type of FiniteCofinite_sig

(** Output signature of the {!FiniteCofinite.Make} and
    {!FiniteCofinite.Weak} functors.*)

module Make (E : Ptset.S) : S with type elt = E.elt and type set = E.t
(** Builds an implementation of hashconsed sets of hashconsed elements.
    See {!Hcons.Make}.
*)

module Weak (E : Ptset.S) : S with type elt = E.elt and type set = E.t
(** Builds an implementation of hashconsed sets of hashconsed elements
    with weak internal storage. See {!Hcons.Weak}.
*)
