(***********************************************************************)
(*                                                                     *)
(*                               TAToo                                 *)
(*                                                                     *)
(*                     Kim Nguyen, LRI UMR8623                         *)
(*                   Université Paris-Sud & CNRS                       *)
(*                                                                     *)
(*  Copyright 2010-2012 Université Paris-Sud and Centre National de la *)
(*  Recherche Scientifique. All rights reserved.  This file is         *)
(*  distributed under the terms of the GNU Lesser General Public       *)
(*  License, with the special exception on linking described in file   *)
(*  ../LICENSE.                                                        *)
(*                                                                     *)
(***********************************************************************)

exception InvalidUtf8Codepoint of int

val subscript : int -> string
val superscript : int -> string
val down_arrow : string
val up_arrow : string
val right_arrow : string
val left_arrow : string
val epsilon : string
val big_sigma : string
val cap : string
val cup : string
val lnot : string
val wedge : string
val vee : string
val top : string
val bottom : string
val dummy : string
val inverse : string
val double_right_arrow : string
val overline : string -> string
val underline : string -> string
val strike : string -> string
val padding : int -> string
val line : int -> string
val length : string -> int
val pp_overline : Format.formatter -> string -> unit
val pp_underline : Format.formatter -> string -> unit
val pp_strike : Format.formatter -> string -> unit
val pp_subscript : Format.formatter -> int -> unit
val pp_superscript : Format.formatter -> int -> unit

val pp_print_list :
  ?sep:(Format.formatter -> unit -> unit) -> (Format.formatter -> 'a -> unit) -> Format.formatter -> 'a list -> unit
val pp_print_array :
  ?sep:(Format.formatter -> unit -> unit) -> (Format.formatter -> 'a -> unit) -> Format.formatter -> 'a array -> unit
val print_list : ?sep:string -> (Format.formatter -> 'a -> unit) -> Format.formatter -> 'a list -> unit
val print_array : ?sep:string -> (Format.formatter -> 'a -> unit) -> Format.formatter -> 'a array -> unit
